Subject: bug#75844: Update for window-tool-bar

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Feb 2025 13:02:55 +0200

> Date: Sat, 25 Jan 2025 14:38:51 -0800
> From:  Jared Finder via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Attached is a patch to window-tool-bar. This adds support for the rest 
> of the tool bar item specifiers.  I have been running with this locally 
> for a couple of months to ensure it had no major performance regressions 
> because it does add more code run per tool bar item refresh.

Thanks.  Martin, any comments?

I see you use :package-version, but doing so should also update
customize-package-emacs-version-alist, AFAIU.  Any reasons why you
didn't?

> Separately, I also have an example tool bar mode that I use alongside 
> developing the window-tool-bar.  This example shows off the capabilities 
> of tool bars.  At the moment, it is limited to just what window-tool-bar 
> supports.  I'd be happy to add that as well to Emacs for any further 
> tool bar development in general.

Sorry, I don't understand what does "example tool bar mode" mean.  Can
you elaborate what would be the use of that in Emacs?